## zowe › ca7 › CA7-instances › put-instance

Update a CA 7 Instance Configuration

#### Usage

zowe ca7 CA7-instances put-instance [options]

#### Required Options

- `--name` (string)

  - The unique name of this instance.
    This is the name to be used in all API requests
    .

- `--ca7_host` (string)

  - The CA7ONL host IP/DNS
    .

- `--ca7_port` (number)

  - The CA7ONL port
    .

#### Options

- `--ca7_secure` (boolean)

  - True, if the communication with CA 7 should use secure sockets.

- `--ca7_keystore` (string)

  - The full path to the keystore/truststore file used for SSL communication to CA7ONL

- `--ca7_keystorePass` (string)

  - The keystore/truststore password
    .

- `--ca7_protocol` (string)

  - The SSL protocol to be used for secure socket communication with CA7ONL.
    The default is TLSv1.2.
    If it is not specified the default will be used.

- `--ca7_communicatorPoolSize` (number)

  - The maximum number of connections to be opened to a CA7ONL instance.
    This must be a positive value that does not exceed the maximum number of terminals.

- `--ca7_communicatorEvictableIdleTimeSeconds` (number)

  - The time, in seconds, to keep an existing connection open.
    If the connection is not used and the idle time passes, the connection will be closed.

- `--ca7_authorizationRetryCount` (number)

  - The number of retries to be used for access to endpoint authorization.
    If HttpStatus.SERVICE_UNAVAILABLE is returned, the authorization will be retried up to ca7_authorizationRetryCount.
    The default is 5.

- `--ca7_timeout` (number)

  - The timeout, in seconds, used when connecting to and reading from CA 7 via the TCP/IP terminal interface.
    The default is 60.

- `--ca7_use_uid_filter` (boolean)

  - Flag to turn on/off the UID/COIDs usage
    Default: false

- `--ca7_pool_retry` (number)

  - How many times to try to get the communicator from the pool
    Default: 10

- `--ca7_pool_retry_timeout` (number)

  - The time interval between 2 attempts to get the communicator from the pool, in milliseconds
    Default: 500

- `--db_logical_name` (string)

  - The logical database name
    If not specified in the instance configuration, the name will need to be passed as a parameter to the request.

- `--db_host` (string)

  - The Datacom server host IP/DNS
    If not specified in the instance configuration, all the requests that requires Datacom connection will fail

- `--db_port` (number)

  - The Datacom server port
    If not specified in the instance configuration, all the requests that requires Datacom connection will fail

- `--db_user` (string)

  - The Datacom user ID
    If not specified in the instance configuration, all the requests that requires Datacom connection will fail

- `--db_password` (string)

  - The Datacom user's password
    If not specified in the instance configuration, all the requests that requires Datacom connection will fail

- `--db_server_name` (string)

  - The Datacom server name
    If not specified in the instance configuration, all the requests that requires Datacom connection will fail

- `--db_secure` (boolean)

  - Flag to be set to true if the connection to db will be done using SSL
    The default is false

- `--db_trustStore` (string)

  - The full path to the keystore/truststore file used for SSL communication to Datacom

- `--db_trustPass` (string)

  - The keystore/truststore password
    .

- `--db_protocol` (string)

  - The SSL protocol to be used for secure socket communication with Datacom.
    The default is TLSv1.2.
    If it is not specified, the default will be used.

- `--db_max_pool` (number)

  - The maximum number of Datacom connections to be available in the same time.
    Default: 10

- `--db_min_pool` (number)

  - The minimum number of Datacom connections to be kept idle when they are not used
    Default: 0

- `--db_timeout` (number)

  - The connection to Datacom timeout in seconds
    Default: 60

- `--db_trace` (boolean)

  - Flag to turn on/off the jdbc trace on the RestApi side for Datacom queries
    Default: false

#### CA7 Connection Options

- `--host` | `-H` (string)

  - Host name of the CA7 API service that is running on the mainframe system.

- `--port` | `-P` (number)

  - Port for the CA7 API service that is running on the mainframe system.

- `--user` | `-u` (string)

  - User name for authenticating connections to the CA7 API service that is running on the mainframe system.

- `--password` | `--pass` | `--pw` (string)

  - Password for authenticating connections to the CA7 API service that is running on the mainframe system.

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` | `-o` (string)

  - Specifies protocol to use for CA7 connection (http or https).

    Allowed values: http, https

#### Profile Options

- `--ca7-profile` | `--ca7-p` (string)

  - The name of a (ca7) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication.

    Note: The CLI does not support certificate files that require a password. For more information, search Troubleshooting PEM Certificates in Zowe Docs.

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Examples

- Update a CA 7 Instance Configuration for specified instance:

  - `zowe ca7 CA7-instances put-instance --name INSTANCE1 --ca7_host myhost.domain.com --ca7_port 12345`